[SOLVED] Elite: Dangerous crashes

More
5 years 9 months ago - 5 years 9 months ago #1 by Preacher0815
not working with Elite:Dangerous was created by Preacher0815
Hey,

the site looks nice and the forums will surely help with streamlining bug reporting. Very much looking forward to seeing future developments. Thank you very much for doing all of this for us.

As for right now though I'm afraid things still look rather grim in regards to Elite Dangerous. ReShade version 0.11.0 is (still) not working with the game. No log file is created, all I have is another crash dump:
dropcanvas.com/yd736

Don't really know what to make of this as the crash dump wasn't created in the usual "crashdump" directory, but turned up in the "temp" directory instead. Filename and timestamp strongly suggest it's the file related to the crash though.
Last edit: 5 years 9 months ago by Preacher0815.

Please Log in or Create an account to join the conversation.

More
5 years 9 months ago - 5 years 9 months ago #2 by Bishi
Replied by Bishi on topic not working with Elite:Dangerous
Works fine for me, make sure you aren't running any overlays.

v0.11.0.620
780GTX SLI, G-SYNC, 344.75
Last edit: 5 years 9 months ago by Bishi.
The following user(s) said Thank You: Preacher0815

Please Log in or Create an account to join the conversation.

More
5 years 9 months ago #3 by Preacher0815
Replied by Preacher0815 on topic not working with Elite:Dangerous
Oh my, you're right, people do seem to need to disable OSD software, in my case it was RTSS 6.2.0.

@Crosire
Is there any chance ReShade will ever work with OSD tools?

Please Log in or Create an account to join the conversation.

More
5 years 9 months ago - 5 years 9 months ago #4 by crosire
Replied by crosire on topic not working with Elite:Dangerous
I do my best to get them compatible, but sometimes its up to impossible. Multiple injectors tend to overwrite each others hooks and that causes all kinds of trouble.
The Steam and Origin overlays now both work as of 0.11.1 already. For Afterburner + RTSS you could try and enable the "Custom Direct3D support" option in Afterburner, that may help.

Can you confirm Elite: Dangerious is working now for you too with latest version of ReShade (and OSD disabled I presume)?
Last edit: 5 years 9 months ago by crosire.

Please Log in or Create an account to join the conversation.

More
5 years 9 months ago #5 by Preacher0815
Replied by Preacher0815 on topic not working with Elite:Dangerous
Yes, ReShade 0.11.1 works in Elite Dangerous on Win8.1 x64 with RTSS OSD disabled.

Having "Custom Direct3D support" enabled in RTSS doesn't work unfortunately. Also, it doesn't suffice to just disable RTSS, it has to be shut down completely.
The following user(s) said Thank You: crosire

Please Log in or Create an account to join the conversation.